<%@ page contentType="text/html;charset=UTF-8" %>
<script>

$(document).ready(function() {

	$('#informationTable').bootstrapTable({

		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	       		showSearch: true,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: true,
               //显示 内容列下拉框
    	       showColumns: true,
    	       //显示到处按钮
    	       showExport: true,
    	       //显示切换分页按钮
    	       showPaginationSwitch: true,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
               cache: false,
               //是否显示分页（*）
               pagination: true,
                //排序方式
               sortOrder: "asc",
               //初始化加载第一页，默认第一页
               pageNumber:1,
               //每页的记录行数（*）
               pageSize: 10,
               //可供选择的每页的行数（*）
               pageList: [10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
               url: "${ctx}/sg/material/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',
               ////查询参数,每次调用是会带上这个参数，可自定义
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onClickRow: function(row, $el){
               },
				onLoadSuccess: function () {  //加载成功时执行
					getTdValue();
				},
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [ {
				   field: 'projectId',
				   title: '项目编号',
					visible:false
			   }
				   ,
				   {
			   field: 'inforId',
			   title: '物料编号',
			   sortable: true,
			   sortName: 'inforId'
				   }
				   ,{
		        field: 'materialName',
		        title: '物料描述',
		        sortable: true,
		        sortName: 'materialName'
		    }
			,{
		        field: 'outboundAmount',
		        title: '出库金额',
		        sortable: true,
		        sortName: 'outboundAmount'
		    }
			,{
		        field: 'authorizedAmount',
		        title: '审定金额(元)',
		        sortable: true,
		        sortName: 'authorizedAmount'
		    }
			,{
		        field: 'difference',
		        title: '差额(元)',
		        sortable: true,
		        sortName: 'difference'
		    }
			,{
		        field: 'outboundNumber',
		        title: '出库数量',
		        sortable: true,
		        sortName: 'outboundNumber'
		    },{
			   field: 'authorizedNumber',
			   title: '审定数量',
			   sortable: true,
			   sortName: 'authorizedNumber'
		   },{
			   field: 'price',
			   title: '平均价单价',
			   sortable: true,
			   sortName: 'price'
		   },{
			   field: 'unit',
			   title: '单位',
			   sortable: true,
			   sortName: 'unit'
		   },{
			   field: 'materialSmall',
			   title: '物料小类',
			   sortable: true,
			   sortName: 'materialSmall'
		   },{
			   field: 'materialMid',
			   title: '物料中类',
			   sortable: true,
			   sortName: 'materialMid'
		   },{
			   field: 'materialBig',
			   title: '物料大类',
			   sortable: true,
			   sortName: 'materialBig'
		   },{
			   field: 'isBack',
			   title: '是否完成领退料',
			   sortable: true,
			   sortName: 'isBack'
		   },{
			   field: 'status',
			   title: '原因类型',
			   sortable: true,
			   sortName: 'status'
		   },{
			   field: 'operate',
			   title: '调整物料情况',
			   width: '80px',
			   events: {
				   'click #TableView': function (e, value, row, index) {
					   jp.openViewDialog('物料情况操作页', "${ctx}/sg/material/form?id=" + row.id, '1000px', '800px');
				   }
			   },
			   formatter: operateFormatter
		   }
		     ]
		});

	function operateFormatter(value, row, index) {
		if (row.isBack == "是") {

		} else {
			return [
				'<input id="TableView" type="button" value="调整" class="btn btn-default">'
			].join('');
		}
	}

	function getTdValue() {
		var tableId = document.getElementById("informationTable");
		for(var i = 1;i < tableId.rows.length;i++) {
			if(tableId.rows[i].cells[4].innerHTML!=0){
				tableId.rows[i].setAttribute("style","color: red;");
			}
		}
		$("#hiddenSign").val("不是第一次加载")
	}



	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端
		  $('#informationTable').bootstrapTable("toggleView");
		}

	  $('#informationTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#informationTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#informationTable').bootstrapTable('getSelections').length!=1);
        });


	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#informationTable').bootstrapTable('refresh');
		});

	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $('#informationTable').bootstrapTable('refresh');
		});

		//导出
		$("#export").click(function(){//导出Excel文件
			var url = location.search;
			var inx = url.indexOf('=');
			var id = url.substring(inx+1,url.length);
			jp.downloadFile('${ctx}/sg/material/export?projectId='+id);
		});
	});

    //刷新列表
  function refresh() {
      $('#informationTable').bootstrapTable('refresh');
  }

	function addRow(list, idx, tpl, row){
		$(list).append(Mustache.render(tpl, {
			idx: idx, delBtn: true, row: row
		}));
	}

</script>
